norm.hpp File Reference

Go to the source code of this file.

## Functions

template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | distance2 (vec< L, T, Q > const &p0, vec< L, T, Q > const &p1)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l1Norm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l1Norm (vec< 3, T, Q > const &v)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l2Norm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l2Norm (vec< 3, T, Q > const &x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | length2 (vec< L, T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | lxNorm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y, unsigned int Depth)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | lxNorm (vec< 3, T, Q > const &x, unsigned int Depth)

## Detailed Description

GLM_GTX_norm

See also
  Core features (dependence)
  GLM_GTX_quaternion (dependence)

Definition in file norm.hpp.